Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class HttpDigestCredential

    java.lang.Object
      oracle.ifs.common.HttpDigestCredential

All Implemented Interfaces:
  java.io.Serializable, Credential

    public class HttpDigestCredential

extends java.lang.Object
implements Credential

A HttpDigestCredential encapsulates a name, challenge, and response for presentation to a CredentialManager to authenticate a user.

See Also:
  Serialized Form
(Published)

Field Summary
`static int` | `HTTPDIGESTCREDENTIALTYPE_RFC2069` Indicates that the credential is RFC 2069 type.
`static int` | `HTTPDIGESTCREDENTIALTYPE_RFC2617` Indicates that the credential is RFC 2617 type.
`protected java.lang.String` | `m_Challenge` The challenge.
`protected java.lang.String` | `m_Cnonce` the cnonce value
`protected java.lang.String` | `m_Method` the method of access.
`protected java.lang.String` | `m_Name` The name of the user.
`protected java.lang.String` | `m_Nc` the nc value
`protected java.lang.String` | `m_Qop` the qop value
`protected java.lang.String` | `m_Realm` The realm.
`protected java.lang.String` | `m_Response` The 32 char hex string representing 16-byte response.
`protected java.lang.String` | `m_URI` The URI.

Constructor Summary
`HttpDigestCredential()` Constructs a HttpDigestCredential.
`HttpDigestCredential(java.lang.String name, java.lang.String challenge, java.lang.String response, java.lang.String realm, java.lang.String uri, java.lang.String method)` Constructs a HttpDigestCredential.
`HttpDigestCredential(java.lang.String name, java.lang.String challenge, java.lang.String response, java.lang.String realm, java.lang.String uri, java.lang.String method, java.lang.String qop, java.lang.String cnonce, java.lang.String nc)` Constructs a HttpDigestCredential.

Method Summary
`java.lang.String` | `getChallenge()` Gets the challenge.
`java.lang.String` | `getCnonce()` Gets the cnonce.
`java.lang.String` | `getMethod()` Gets the method.
`java.lang.String` | `getName()` Gets the name of the user.
`java.lang.String` | `getNc()` Gets the nc.
`java.lang.String` | `getQop()` Gets the qop.
`java.lang.String` | `getRealm()` Gets the realm.
`java.lang.String` | `getResponse()` Gets the response.
`int` | `getType()` Returns the type of the HttpDigestCredential.
`java.lang.String` | `getUri()` Gets the URI.
`void` | `setChallenge(java.lang.String challenge)` Sets the challenge.
`void` | `setCnonce(java.lang.String cnonce)` Sets the cnonce.
`void` | `setMethod(java.lang.String method)` Sets the Method.
`void` | `setName(java.lang.String name)` Sets the name of the user.
`void` | `setNc(java.lang.String nc)` Sets the nc.
`void` | `setQop(java.lang.String qop)` Sets the Qop.
`void` | `setRealm(java.lang.String realm)` Sets the realm.
`void` | `setResponse(java.lang.String response)` Sets the response.
`void` | `setUri(java.lang.String uri)` Sets the URI.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HTTPDIGESTCREDENTIALTYPE_RFC2069

    public static final int HTTPDIGESTCREDENTIALTYPE_RFC2069

  Description copied from class: `HttpDigestCredential`
  Indicates that the credential is RFC 2069 type.

  See Also:
    Constant Field Values
  (Published)

### HTTPDIGESTCREDENTIALTYPE_RFC2617

    public static final int HTTPDIGESTCREDENTIALTYPE_RFC2617

  Description copied from class: `HttpDigestCredential`
  Indicates that the credential is RFC 2617 type.

  See Also:
    Constant Field Values
  (Published)

### m_Name

    protected java.lang.String m_Name

  Description copied from class: `HttpDigestCredential`
  The name of the user.

  (Unpublished)

### m_Challenge

    protected java.lang.String m_Challenge

  Description copied from class: `HttpDigestCredential`
  The challenge.

  (Unpublished)

### m_Response

    protected java.lang.String m_Response

  Description copied from class: `HttpDigestCredential`
  The 32 char hex string representing 16-byte response.

  (Unpublished)

### m_Realm

    protected java.lang.String m_Realm

  Description copied from class: `HttpDigestCredential`
  The realm.

  (Unpublished)

### m_URI

    protected java.lang.String m_URI

  Description copied from class: `HttpDigestCredential`
  The URI.

  (Unpublished)

### m_Method

    protected java.lang.String m_Method

  Description copied from class: `HttpDigestCredential`
  the method of access.

  (Unpublished)

### m_Qop

    protected java.lang.String m_Qop

  Description copied from class: `HttpDigestCredential`
  the qop value

  (Unpublished)

### m_Cnonce

    protected java.lang.String m_Cnonce

  Description copied from class: `HttpDigestCredential`
  the cnonce value

  (Unpublished)

### m_Nc

    protected java.lang.String m_Nc

  Description copied from class: `HttpDigestCredential`
  the nc value

  (Unpublished)

Constructor Detail

### HttpDigestCredential

    public HttpDigestCredential()
                         throws IfsException

  Constructs a HttpDigestCredential.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### HttpDigestCredential

    public HttpDigestCredential(java.lang.String name,
                                java.lang.String challenge,
                                java.lang.String response,
                                java.lang.String realm,
                                java.lang.String uri,
                                java.lang.String method,
                                java.lang.String qop,
                                java.lang.String cnonce,
                                java.lang.String nc)
                         throws IfsException

  Constructs a HttpDigestCredential. Use this if you are using RFC 2617.

  Parameters:
    `name` - the name of the user
    `challenge` - the challenge
    `response` - the 16-byte response
    `realm` - the realm
    `uri` - the URI
    `method` - the method
    `qop` - the qop
    `cnonce` - the cnonce
    `nc` - the nc value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### HttpDigestCredential

    public HttpDigestCredential(java.lang.String name,
                                java.lang.String challenge,
                                java.lang.String response,
                                java.lang.String realm,
                                java.lang.String uri,
                                java.lang.String method)
                         throws IfsException

  Constructs a HttpDigestCredential. Use this if you are using RFC 2069.

  Parameters:
    `name` - the name of the user
    `challenge` - the challenge
    `response` - the 16-byte response
    `realm` - the realm
    `uri` - the URI
    `method` - the method
  Throws:
    `IfsException` - if the operation fails
  (Published)

Method Detail

### getName

    public java.lang.String getName()
                             throws IfsException

  Description copied from class: `HttpDigestCredential`
  Gets the name of the user.

  Specified by:
    `getName` in interface `Credential`
  Returns:
    the name of the user
  Throws:
    `IfsException` - (IFS-10187) if the operation fails
  (Published)

### setName

    public void setName(java.lang.String name)
                 throws IfsException

  Description copied from class: `HttpDigestCredential`
  Sets the name of the user.

  Specified by:
    `setName` in interface `Credential`
  Parameters:
    `name` - the name of the user
  Throws:
    `IfsException` - (IFS-10188) if the operation fails
  (Published)

### getChallenge

    public java.lang.String getChallenge()
                                  throws IfsException

  Description copied from class: `HttpDigestCredential`
  Gets the challenge.

  Returns:
    the challenge
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setChallenge

    public void setChallenge(java.lang.String challenge)
                      throws IfsException

  Description copied from class: `HttpDigestCredential`
  Sets the challenge.

  Parameters:
    `challenge` - the challenge
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getResponse

    public java.lang.String getResponse()
                                 throws IfsException

  Description copied from class: `HttpDigestCredential`
  Gets the response.

  Returns:
    the response
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setResponse

    public void setResponse(java.lang.String response)
                     throws IfsException

  Description copied from class: `HttpDigestCredential`
  Sets the response.

  Parameters:
    `response` - 16 bytes rep as a 32 Hex string
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getRealm

    public java.lang.String getRealm()
                              throws IfsException

  Description copied from class: `HttpDigestCredential`
  Gets the realm.

  Returns:
    the realm
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setRealm

    public void setRealm(java.lang.String realm)
                  throws IfsException

  Description copied from class: `HttpDigestCredential`
  Sets the realm.

  Parameters:
    `realm` - the realm of the user
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getUri

    public java.lang.String getUri()
                            throws IfsException

  Description copied from class: `HttpDigestCredential`
  Gets the URI.

  Returns:
    the uri
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setUri

    public void setUri(java.lang.String uri)
                throws IfsException

  Description copied from class: `HttpDigestCredential`
  Sets the URI.

  Parameters:
    `uri` - the URI of the request
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getMethod

    public java.lang.String getMethod()
                               throws IfsException

  Description copied from class: `HttpDigestCredential`
  Gets the method.

  Returns:
    the method
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setMethod

    public void setMethod(java.lang.String method)
                   throws IfsException

  Description copied from class: `HttpDigestCredential`
  Sets the Method.

  Parameters:
    `method` - the Method of the request
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getQop

    public java.lang.String getQop()
                            throws IfsException

  Description copied from class: `HttpDigestCredential`
  Gets the qop.

  Returns:
    the qop
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setQop

    public void setQop(java.lang.String qop)
                throws IfsException

  Description copied from class: `HttpDigestCredential`
  Sets the Qop.

  Parameters:
    `qop` - the Qop of the request
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getCnonce

    public java.lang.String getCnonce()
                               throws IfsException

  Description copied from class: `HttpDigestCredential`
  Gets the cnonce.

  Returns:
    the cnonce
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setCnonce

    public void setCnonce(java.lang.String cnonce)
                   throws IfsException

  Description copied from class: `HttpDigestCredential`
  Sets the cnonce.

  Parameters:
    `cnonce` - the cnonce of the request
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getNc

    public java.lang.String getNc()
                           throws IfsException

  Description copied from class: `HttpDigestCredential`
  Gets the nc.

  Returns:
    the nc
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setNc

    public void setNc(java.lang.String nc)
               throws IfsException

  Description copied from class: `HttpDigestCredential`
  Sets the nc.

  Parameters:
    `nc` - the nonce of the request
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getType

    public int getType()

  Description copied from class: `HttpDigestCredential`
  Returns the type of the HttpDigestCredential.

  Returns:
    HTTPDIGESTCREDENTIALTYPE_RFC2069 if credential type is RFC 2069, or HTTPDIGESTCREDENTIALTYPE_RFC2617 if credential type is RFC 2617.
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD